Customer impacts after RevPro 36.010.00 or later

Knowledge Center > Zuora RevPro > Data validation process > Customer impacts after RevPro 36.010.00 or later

Customer impacts after RevPro 36.010.00 or later

Table of contents
No headers

As a new user or an existing user of RevPro, be aware of the impacts of the data validation framework change that is introduced in RevPro 36.010.00 or later.

  • If you are a new user who is provisioned with RevPro 36.010.00 or later, the predefined validation rules are by default enabled. You cannot disable the enabled validation rules or enable the disabled ones. All predefined validation rules are not editable. For information about the list of enabled validation rules in the latest version, see Predefined validation rules.
  • If you are already using RevPro in the production environment, you can continue to use RevPro for the data validation process in the same way as you currently do. The validation framework change does not impact the data validation process even after RevPro is upgraded to 36.010.00 or later. To apply the latest data validation framework, contact the RevPro Support team within 90 days after the upgrade. The Support team can provide you with a script to apply all the necessary changes to your environment so that the latest data validation framework can work as designed.
  • If you are using RevPro in the sandbox environment, you can continue to test or use RevPro for the data validation process in the same way as you currently do.
    • For customers who have the UAT signed-off and are ready to go to production, it is recommended to go live with the tested version and then upgrade to 36.010.00 or later. In this way, the validation framework change does not impact the data validation process even after the upgrade. To apply the latest data validation framework, contact the Support team within 90 days after the upgrade. The Support team can provide you with a script to apply all the necessary changes to your environment so that the latest data validation framework can work as designed.
    • For customers in the pending UAT cycle, it is recommended to upgrade to 36.010.00 or later and then enable the predefined validation rules with a specific script in the sandbox environment.
Last modified

Tags

This page has no custom tags.

Classifications

(not set)